The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Fetch YARA ruleset attributes request

Prev Next

Users can fetch the attributes of a YARA ruleset.

GET https://<etp_instance_addr>/api/v1/policies/policy_uuid/configuration/rules/yara/rulesets/ruleset_uuid/attributes

Required header:

x-fireeye-api-key: <key>—Specifies your personal API key.

Content-Type: application/json—Content-type of the request body.

Options

  • policy_uuid—Universally unique identifier (UUID) of the policy.

  • ruleset_uuid—UUID of the ruleset.

Example of the request

Values for ID and other fields are for illustration only.

GET https://etp.us.fireeye.com/api/v1/policies/6d5445c8-e3de-11eb-993c-02a7fc9eb3d9/configuration/rules/yara/rulesets/4fd020c2-bc68-4a51-5746-e9d8bc0bd09b/attributes

Example of the response

{
    "data": {
        "policy_master_uuid": "uuid1",
        "uuid": "ruleset1_uuid",
        "name": "ruleset1",
        "description": "desc1",
        "override_rule_weights": true,
        "default_file_weight": 49,
        "content_type": "base",
        "attachment_type": "common",
        "yara_file_name": "filename.yara",
        "enabled": true
    },
    "meta": {
        "total": 1,
        "copyright": "Copyright 2021 FireEye Inc",
        "type": "Yara Rules"
    }
}

cURL code sample: fetch YARA ruleset attributes

curl -k -XGET https://etp.us.fireeye.com/api/v1/policies/6d5445c8-e3de-11eb-993c-02a7fc9eb3d9/configuration/rules/yara/rulesets/4fd020c2-bc68-4a51-5746-e9d8bc0bd09b/attributes -H 'x-fireeye-api-key: <feye-key>'

This cURL sample includes the following options:

  • -X GET—This option changes the HTTP method to GET.

  • --header "Content-Type: application/json"—This header specifies that the server's response body is expected to be in JSON format.

  • --header 'x-fireeye-api-key: <feye-key>'—This header specifies your personal API key.

  • https://etp.us.fireeye.com/api/v1/policies/6d5445c8-e3de-11eb-993c-02a7fc9eb3d9/configuration/rules/yara/rulesets/4fd020c2-bc68-4a51-5746-e9d8bc0bd09b/attributes—The fetch YARA ruleset Attributes URL. Replace etp.us.fireeye.com with the IP address of your Email Security — Cloud instance and 6d5445c8-e3de-11eb-993c-02a7fc9eb3d9 with the UUID of the YARA policy.

Results

This example returns the attributes of the ruleset.